| Face Engine SDK 5.33.0 A face detection, recognition and tracking engine.

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | List of all members
fsdk::IEyeEstimator Struct Referenceabstract
Estimators

Eye estimator interface. More...

`#include <IEyeEstimator.h>`

Inheritance diagram for fsdk::IEyeEstimator:

## Public Member Functions
virtual Result< FSDKError > | estimate (const Image &warp, const EyeCropper::EyesRects &eyeRects, EyesEstimation &eyesEstimation) const noexcept=0
| Estimate the attributes. More...
virtual Result< FSDKError > | estimate (Span< const Image > warps, Span< const EyeCropper::EyesRects > eyeRects, Span< EyesEstimation > eyesEstimations) const noexcept=0
| Estimate the attributes of multiple warped images in a single estimate function call. More...
virtual Result< FSDKError > | validate (Span< const Image > warps, Span< const EyeCropper::EyesRects > eyeRects, Span< Result< FSDKError >> errors) const noexcept=0
| Validate input of multiple frames in a single function call. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | retainLocked () noexcept=0
| Increase strong reference count thread safely. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

Eye estimator interface.

Note
  This estimator is designed to work with a person face image; you should pass a warped face detection image.

See Also
  IWarper for details. Eye estimator detects:
  - eyes state;
  - landmarks describing iris.
  EyesEstimation for output details

## Member Function Documentation

virtual Result<FSDKError> fsdk::IEyeEstimator::estimate | ( | const Image & | warp,
|  | const EyeCropper::EyesRects & | eyeRects,
|  | EyesEstimation & | eyesEstimation
| ) |  | const
| pure virtual noexcept

Estimate the attributes.

Parameters

  [in] | warp | image with warped face.
  [in] | eyeRects | EyeCropper::EyesRects structure with valid rectangle coordinates of each eye.
  [out] | eyesEstimation | Estimation of both eyes. Iris and Eyelid output landmarks are in warpedImage coordinates. If you want them in source of warpedImage image coordinates, use IWarper::unwarp

See Also
  IWarper::unwarp.

Returns
  Result with error code.

See Also
  EyesEstimation, EyeCropper::EyesRects, Image, Result and FSDKError for details.

Note
  warp format must be R8G8B8,

See Also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

virtual Result<FSDKError> fsdk::IEyeEstimator::estimate | ( | Span< const Image > | warps,
|  | Span< const EyeCropper::EyesRects > | eyeRects,
|  | Span< EyesEstimation > | eyesEstimations
| ) |  | const
| pure virtual noexcept

Estimate the attributes of multiple warped images in a single estimate function call.

Parameters

  [in] | warps | span of images with warped faces.
  [in] | eyeRects | span of EyesRects structure of corresponding warped image with valid rectangle coordinates of each eye.
  [out] | eyesEstimations | span of EyesEstimation of corresponding warped images. Iris and Eyelid output landmarks are in warpedImage coordinates. If you want them in source of warpedImage image coordinates, use IWarper::unwarp

See Also
  IWarper::unwarp.

Returns
  Result with error code.

See Also
  Span, EyesEstimation, EyeCropper::EyesRects, Image, Result and FSDKError for details.

Note
  warps format must be R8G8B8,

See Also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

virtual Result<FSDKError> fsdk::IEyeEstimator::validate | ( | Span< const Image > | warps,
|  | Span< const EyeCropper::EyesRects > | eyeRects,
|  | Span< Result< FSDKError >> | errors
| ) |  | const
| pure virtual noexcept

Validate input of multiple frames in a single function call.

Parameters

  [in] | warps | span of images with warped faces.
  [in] | eyeRects | span of EyesRects structure of corresponding warped image with valid rectangle coordinates of each eye.
  [out] | errors | output span of errors for each image.

Returns
  Result with error code.

See Also
  Span, EyeCropper::EyesRects, Image, Result and FSDKError for details.

Note
  warps format must be R8G8B8,

See Also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

The documentation for this struct was generated from the following file:

- include/fsdk/Estimators/IEyeEstimator.h